Index: leo
--- leo.orig	2005-04-18 12:46:37 +0200
+++ leo	2005-08-28 22:04:45 +0200
@@ -34,8 +34,8 @@
 #
 my $highlight = 1;
 my $default_c = "\033[0m";    # reset default terminal color
-my $bold_c    = "\033[0;34m"; # blue color
-my $copy_c    = "\033[0;35m"; # copyright message color (green)
+my $bold_c    = "\033[0;1m";  # bold text
+my $blue_c    = "\033[0;34m"; # blue color
 
 my $ip        = "dict.leo.org";
 my $port      = "80";
@@ -397,6 +397,9 @@
   # remove match hint, we are counting ourselfes
   $site =~ s/\d+?\s*treffer//i;
 
+  # remove sub/super-script word annotations
+  $site =~ s/<(sub|sup)>.*?<\/\1>//gsi;
+
   # make single line per entry
   my @segments = split /<\/TR>\s*<TR>/i, $site;
   my $progress;
@@ -511,18 +514,13 @@
     # dict entry
     $entry->{left} =~ s/^(.*)$/$1 . " " x ($maxsize - length($1))/e;
     if ($highlight) {
-      $entry->{left}  =~ s/(\Q$string\E)/$bold_c . $1 . $default_c/ei;
-      $entry->{right} =~ s/(\Q$string\E)/$bold_c . $1 . $default_c/ei;
+      $entry->{left}  =~ s/(\Q$string\E)/$blue_c . $1 . $default_c/ei;
+      $entry->{right} =~ s/(\Q$string\E)/$blue_c . $1 . $default_c/ei;
     }
     print $entry->{left} . $entry->{right} . "\n";
   }
 }
 
-print "$copy_c" if $highlight;
-print "\n     Fetched by leo $version via http://dict.leo.org/";
-print "\n     Copyright    LEO  Dictionary Team 1995-2005";
-print "\n     [leo] GPL Copyleft  Thomas Linden 2000-2005\n\n";
-print "$default_c" if $highlight;
 
 
 
